Have ideas to improve npm?Join in the discussion! »

    slice-ansi
    DefinitelyTyped icon, indicating that this package has TypeScript declarations provided by the separate @types/slice-ansi package

    4.0.0 • Public • Published

    slice-ansi Build Status XO: Linted

    Slice a string with ANSI escape codes

    Install

    $ npm install slice-ansi
    

    Usage

    const chalk = require('chalk');
    const sliceAnsi = require('slice-ansi');
     
    const string = 'The quick brown ' + chalk.red('fox jumped over ') +
        'the lazy ' + chalk.green('dog and then ran away with the unicorn.');
     
    console.log(sliceAnsi(string, 20, 30));

    API

    sliceAnsi(string, beginSlice, endSlice?)

    string

    Type: string

    String with ANSI escape codes. Like one styled by chalk.

    beginSlice

    Type: number

    Zero-based index at which to begin the slice.

    endSlice

    Type: number

    Zero-based index at which to end the slice.

    Related

    • wrap-ansi - Wordwrap a string with ANSI escape codes
    • cli-truncate - Truncate a string to a specific width in the terminal
    • chalk - Terminal string styling done right

    Maintainers


    Get professional support for this package with a Tidelift subscription
    Tidelift helps make open source sustainable for maintainers while giving companies
    assurances about security, maintenance, and licensing for their dependencies.

    Install

    npm i [email protected]

    Version

    4.0.0

    License

    MIT

    Unpacked Size

    6.43 kB

    Total Files

    4

    Last publish

    Collaborators

    • avatar
    • avatar